<?php
include('header.php');
$t_proc = 5;
?>
<div class="menucenter">
<?if(!isset($_SESSION["username"]) && !isset($_SESSION["password"]))
{
	echo '<div class=error>Ошибка! Для доступа к данной странице необходимо зарегистрироваться!</div>';
	include('footer.php');
	exit();
}else{

function unhtml($mensaje)
{
	$mensaje = str_replace("&amp;","&",$mensaje);
	return $mensaje;
}

$username = text($_SESSION["username"]);

require('config.php');
$m_verx=mysql_query("SELECT price FROM tb_config WHERE item='task_verx' LIMIT 1");
$m_v=mysql_fetch_assoc($m_verx);
if(isset($_GET["option"]))
	{
		$option = text($_GET["option"]);
		$date = DATE("d.m.Yг. в H:i");
    	$id = intval($_POST["id"]);


if($option=="verx")
			{
				if(isset($_POST["id"]))
				{
					if(preg_match("|^[\d]*$|",$_POST['id']))
					{
						$id = intval($_POST["id"]);

					   $sql_user = mysql_query("SELECT money_cr FROM tb_users WHERE username='$username' LIMIT 1");
                       if(mysql_num_rows($sql_user)>0){
                         $r_us = mysql_fetch_assoc($sql_user);

                         if($m_v["price"] <= $r_us["money_cr"]){
						  $sql_edit = mysql_query("SELECT * FROM seelf_task WHERE id='$id' AND namep='$username' ORDER BY id ASC");
						  if(mysql_num_rows($sql_edit)>0)
							{
							    $b_mon = mysql_query("UPDATE tb_users SET money_cr=money_cr - '".$m_v["price"]."' WHERE username='$username'");

							  if($b_mon){

								$id = (isset($_POST["id"])) ? intval($_POST["id"]) : false;
								if(empty($id)){echo '<div class=error>Ошибка! Задание не определено!</div>'; include('footer.php'); exit;}

								mysql_query("UPDATE seelf_task SET  date='".time()."', verx='1' WHERE id='$id' AND namep='$username'") or die(mysql_error());

                                mysql_query("INSERT INTO still_task_verx (date, id_z, autor) VALUES('".time()."', '$id', '$username')");

								echo '<div class=good>Задание успешно поднято!';
								echo '<br /><a href="task.php">Перейти к списку заданий &gt;&gt;</a></div>';
								include('footer.php');
								exit();
		                      }
							}else{
								echo '<div class=error>Ошибка! Задание не определено!</div>';
								include('footer.php');
								exit();
							}
	                     }else{

	                       echo '<div class=error>Ошибка! Недостаточно средств!</div>';
						   include('footer.php');
						   exit();

	                     }
	                   }else{
								echo '<div class=error>Ошибка! Пользователь не определен!</div>';
								include('footer.php');
								exit();
							}
					}else{
						echo '<div class=error>Ошибка! Задание не определено!</div>';
						include('footer.php');
						exit();
					}
				}else{
					?><script type="text/javascript">location.replace("<?=$_SERVER['PHP_SELF']?>");</script><?
				}
			}

		if($option=="pay")
			{
				?><b>Добавить показов для задания ID <font color="red"><?php echo $id;?></font>:</b><br />
				<form method="post" action="<?=$_SERVER['PHP_SELF']?>?option=paynext">
					<input type="text" name="kol" value="10" maxlength="4" size="15">
					<input type="hidden" name="id" value="<?php echo $id;?>">
					<input  class='ok_wm' type="submit" value="Далее">
				</form>
				<br /><br /><font color="red">К одному заданию прибавляется комиссия системы в размере 20%</font><?
			}

		if($option=="paynext")
			{
				if(isset($_POST["kol"]))
				{
					if(preg_match("|^[\d]*$|",$_POST['kol']))
					{
						$kol = intval($_POST["kol"]);

						if($kol<1)
							{
								echo '<div class=error>Ошибка! Минимальное количество заданий для заказа 1 шт.!</div>';
								include('footer.php');
								exit();
							}

						$sql_pay = mysql_query("SELECT * FROM seelf_task WHERE id='$id' AND namep='$username' ORDER BY id ASC");
						if(mysql_num_rows($sql_pay)>0)
							{
								$rowp = mysql_fetch_assoc($sql_pay);
								$color = $rowp["color"];  if($color==""){$cenacolor="0"; $colorto="НЕТ";}elseif($color=="#FFF"){$cenacolor="0"; $colorto="НЕТ";}elseif($color=="#e6edf4"){$cenacolor = ($kol * 0.05); $colorto="ДА (+$cenacolor руб.)";}
								$pay = $rowp["pay"];
								$payall = ($pay * $kol * 1.20);

								$summa = $payall + $cenacolor;
								$summa = round($summa,3);
							}else{
								echo '<div class=error>Ошибка! Задание не определено!</div>';
								include('footer.php');
								exit();
							}

						?><b>ID задания:</b> <?php echo $id;?><br />
						<b>Цена одного выполнения:</b> <?php echo $pay;?> руб.<br />
						<b>Выделение цветом:</b> <?php echo $colorto;?><br />
						<b>К оплате с учетом комиссии:</b> <font color="red"><?php echo $summa;?> руб</font>.<br /><br />

						<form method="post" action="<?=$_SERVER['PHP_SELF']?>?option=payok">
								<input type="hidden" name="kol" value="<?php echo $kol;?>">
								<input type="hidden" name="id" value="<?php echo $id;?>">
								<input  class='ok_wm' type="submit" value="Оплатить">
							</form><?
					}else{
						echo '<div class=error>Ошибка неверно введено количество!</div>';
						include('footer.php');
						exit();
					}
				}else{
					?><script type="text/javascript">location.replace("<?=$_SERVER['PHP_SELF']?>");</script><?
				}
			}

		if($option=="payok")
			{
				if(isset($_POST["kol"]))
				{
					if(preg_match("|^[\d]*$|",$_POST['kol']))
					{
						$kol = intval($_POST["kol"]);

						if($kol<1)
							{
								echo '<div class=error>Ошибка! Минимальное количество заданий для заказа 1 шт.!</div>';
								include('footer.php');
								exit();
							}

						$sql_pay = mysql_query("SELECT * FROM seelf_task WHERE id='$id' AND namep='$username' ORDER BY id ASC");
						if(mysql_num_rows($sql_pay)>0)
							{
								$rowp = mysql_fetch_assoc($sql_pay);
								$color = $rowp["color"];
                                                                if($color==""){$cenacolor="0"; $colorto="НЕТ";}elseif($color=="#FFF"){$cenacolor="0"; $colorto="НЕТ";}elseif($color=="#e6edf4"){$cenacolor = ($kol * 0.05); $colorto="ДА (+$cenacolor руб.)";}


								$pay = $rowp["pay"];
								$payall = ($pay * $kol * 1.20);

								$summa = $payall + $cenacolor;
								$summa = round($summa,3);

					                $sql_user = mysql_query("SELECT money_cr FROM tb_users WHERE username='$username'");
					                $row_user = mysql_fetch_assoc($sql_user);

					                   $money = $row_user["money_cr"];

					                      if($money<$summa)
									{
										echo '<div class=error>Ошибка! На вашем счету не достаточно средств. Необходимо <a href="moneytoacc.php">пополнить баланс &gt;&gt;</a></div>';
										include('footer.php');
										exit();
									}else{
										mysql_query("INSERT INTO tb_zakazu (user, date, amount, method, status, tipo) VALUES('$username', '$date', '$summa', 'Пополнение баланса задания ($kol шт.)', 'Оплачено', 'reklama')") or die(mysql_error());
										mysql_query("UPDATE tb_users SET money_cr=money_cr-$summa, nareklamu=nareklamu+$summa WHERE username='$username'") or die(mysql_error());
										mysql_query("UPDATE seelf_task SET credits=credits+$kol WHERE id='$id' AND namep='$username'") or die(mysql_error());

										echo '<div class=good>Задание успешно пополнено!';
										echo '<br /><a href="task.php">Перейти к списку заданий &gt;&gt;</a></div>';
										include('footer.php');
										exit();
									}
							}else{
								echo '<div class=error>Ошибка! Задание не определено!</div>';
								include('footer.php');
								exit();
							}
					}else{
						echo '<div class=error>Ошибка неверно введено количество!</div>';
						include('footer.php');
						exit();
					}
				}else{
					?><script type="text/javascript">location.replace("<?=$_SERVER['PHP_SELF']?>");</script><?
				}
			}

		if($option=="edit")
			{
				if(isset($_POST["id"]))
				{
					if(preg_match("|^[\d]*$|",$_POST['id']))
					{
						$id = intval($_POST["id"]);

						$sql_edit = mysql_query("SELECT * FROM seelf_task WHERE id='$id' AND namep='$username' ORDER BY id ASC");
						if(mysql_num_rows($sql_edit)>0)
							{
								$rowp = mysql_fetch_assoc($sql_edit);
								$id = $rowp["id"];
								$title = $rowp["title"];
								$text = $rowp["text"];
								$url = $rowp["url"];
								$c_text = $rowp["c_text"];
								$active = $rowp["active"];
                                require_once('bbcode.php');


							}else{
								echo '<div class=error>Ошибка! Задание не определено!</div>';
								include('footer.php');
								exit();
							}

						?>
<form id="comment" method="POST" action="<?=$_SERVER['PHP_SELF']?>?option=editsave">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th align="left">Параметр</th>
<th align="left">Значение параметра</th>
</tr></thead>
<tbody><tr>
<td class='value' align='left' ><b>ID задания:</b> </td>
<td class='value' align='left' ><?php echo $id;?></td>
</tr><tr>
<td class='value' align='left' ><b>Название:</b></td>
<td class='value' align='left' ><div id="form"><input type="text" size="50" maxlength="160" name="title" value="<?php echo unhtml($title);?>" /></div></td>
</tr>
<script type="text/javascript" src="js/bbcod.js"></script>
<tr>

<td align="left" border:1px solid #c0c0c0;">
<span class="btn-bold" title="Выделить жирным" value=" B " onclick="insert_comm('[b]','[/b]')" type="button"></span>
<span  class="btn-italic" title="Выделить курсивом" value=" I " onclick="insert_comm('[i]','[/i]')" type="button"></span>
<span  class="btn-uline" title="Выделить подчёркиванием" value=" U " onclick="insert_comm('[u]','[/u]')" type="button"></span>
</td>
<td align="right" border:1px solid #c0c0c0;">

<input style="background: url('copilca/smile/1.gif');border:0;height: 18px;width:18px;" onclick="insert_comm('',':-_')" type="button">
<input style="background: url('copilca/smile/2.gif');border:0;height: 23px;width:26px;" onclick="insert_comm('',':-8')" type="button">
<input style="background: url('copilca/smile/3.gif');border:0;height: 22px;width:24px;" onclick="insert_comm('',':-(')" type="button">
<input style="background: url('copilca/smile/4.gif');border:0;height: 25px;width:25px;" onclick="insert_comm('',':~)')" type="button">
<input style="background: url('copilca/smile/5.gif');border:0;height: 20px;width:20px;" onclick="insert_comm('',':-9')" type="button">
<input style="background: url('copilca/smile/6.gif');border:0;height: 27px;width:20px;" onclick="insert_comm('','8-)')" type="button">
<input style="background: url('copilca/smile/7.gif');border:0;height: 20px;width:20px;" onclick="insert_comm('','9-)')" type="button">
<input style="background: url('copilca/smile/8.gif');border:0;height: 22px;width:31px;" onclick="insert_comm('','10-)')" type="button">
<input style="background: url('copilca/smile/9.gif');border:0;height: 24px;width:31px;" onclick="insert_comm('','11-)')" type="button">
<input style="background: url('copilca/smile/10.gif');border:0;height: 27px;width:47px;" onclick="insert_comm('','12-)')" type="button">
<input style="background: url('copilca/smile/11.gif');border:0;height: 23px;width:26px;" onclick="insert_comm('','13-)')" type="button">
</td>
<tr>
<td align="center" colspan="2">
<textarea id="comess" name="text" rows=0 class="comtextur" style="height: 100px; width: 550px;" maxlength="500" value=""><?=bbb($text)?></textarea>
</td>
</tr>
<tr>
<td class='value' align='left' ><b>Ссылка для перехода:</b></td>
<td class='value' align='left' ><div id="form"><input type="text" size="50" maxlength="160" name="url" value="<?php echo unhtml($url);?>" /></div></td>
</tr><tr>
<td class='value' align='left' ><b>В подтверждении указать:</b></td>
<td class='value' align='left' ><div id="form"><input type="text" size="50" maxlength="150" name="c_text" value="<?php echo unhtml($c_text);?> " /></div></td>
</tr><tr>
<td class='value' align='left' >Статус в задания:&nbsp;</td>
<td class='value' align='left' ><?
                                            if($rowp["active"]=='0') { echo "(Не активирован)&nbsp;&nbsp;"; }else{ echo "(Активирован)&nbsp;&nbsp;"; }
                                           ?>
                                           <select name="active">
                                           <option value="<?php echo unhtml($active);?>"></option>
                                           <option value="0">Не активирован</option>
                                           <option value="1">Активирован</option>
                                           </select>
</td>
                                          </tr><tr>
<td class='value' align='left' ></td>
<td class='value' align='left' >
							<input type="hidden" name="id" value="<?php echo $id;?>">
							<input  class='ok_wm' type="submit" value="Сохранить">
						</form></td>
</tr><tr>
</tr></tbody></table><?
					}else{
						echo '<div class=error>Ошибка! Задание не определено!</div>';
						include('footer.php');
						exit();
					}
				}else{
					?><script type="text/javascript">location.replace("<?=$_SERVER['PHP_SELF']?>");</script><?
				}
			}

		if($option=="editsave")
			{
				if(isset($_POST["id"]))
				{
					if(preg_match("|^[\d]*$|",$_POST['id']))
					{
						$id = intval($_POST["id"]);

						$sql_edit = mysql_query("SELECT * FROM seelf_task WHERE id='$id' AND namep='$username' ORDER BY id ASC");
						if(mysql_num_rows($sql_edit)>0)
							{
								$title = (isset($_POST["title"])) ? text($_POST["title"]) : false;
								$url = (isset($_POST["url"])) ? text($_POST["url"]) : false;
								$c_text = (isset($_POST["c_text"])) ? text($_POST["c_text"]) : false;
								$active = (isset($_POST["active"])) ? intval($_POST["active"]) : false;

								require_once('bbcode.php');
                                $text = bbcod($_POST["text"], true, true);

								if(empty($id)){echo '<div class=error>Ошибка! Задание не определено!</div>'; include('footer.php'); exit;}
								if(empty($title)){echo '<div class=error>Ошибка! Вы не ввели название!</div>'; include('footer.php'); exit;}
								if(empty($text)){echo '<div class=error>Ошибка! Вы не ввели описание!</div>'; include('footer.php'); exit;}
								if(empty($url)){echo '<div class=error>Ошибка! Вы не ввели ссылку для перехода!</div>'; include('footer.php'); exit;}
								if(empty($c_text)){echo '<div class=error>Ошибка! Вы не ввели информацию для подтверждения выполнения задания!</div>'; include('footer.php'); exit;}

								mysql_query("UPDATE seelf_task SET title='$title', text='$text', url='$url', c_text='$c_text', active='$active' WHERE id='$id' AND namep='$username'") or die(mysql_error());

								echo '<div class=good>Задание успешно отредактировано!';
								echo '<br /><a href="task.php">Перейти к списку заданий &gt;&gt;</a></div>';
								include('footer.php');
								exit();
							}else{
								echo '<div class=error>Ошибка! Задание не определено!</div>';
								include('footer.php');
								exit();
							}
					}else{
						echo '<div class=error>Ошибка! Задание не определено!</div>';
						include('footer.php');
						exit();
					}
				}else{
					?><script type="text/javascript">location.replace("<?=$_SERVER['PHP_SELF']?>");</script><?
				}
			}


if($option=="delete")
			{
				if(isset($_POST["id"]))
				{
					if(preg_match("|^[\d]*$|",$_POST['id']))
					{
						$id = intval($_POST["id"]);

						$sql_edit = mysql_query("SELECT * FROM seelf_task WHERE id='$id' AND namep='$username' ORDER BY id ASC");
						if(mysql_num_rows($sql_edit)>0)
							{
								$rowp = mysql_fetch_assoc($sql_edit);
								$id = $rowp["id"];
								$credits = $rowp["credits"];
								$t_pay = $rowp["pay"];//вывод денег
								$inprogress = $rowp["inprogress"];

							    if($inprogress>0)
								{
								  echo '<div class=error>Ошибка! На задании есть не подтвержденные выполнения!</div>';
								  include('footer.php');
								  exit();
								}else{
								  $t_del =  mysql_query("DELETE FROM seelf_task WHERE id='$id' AND namep='$username'") or die(mysql_error());

                                  if($t_del){

                                  	$t_summ = $credits*$t_pay;
                                  	$t_psumm = $t_summ*$t_proc/100;
                                  	$t_money = $t_summ - $t_psumm;
                                    $t_money = round($t_money,3);

                                    mysql_query("UPDATE tb_users SET money_cr=money_cr+'$t_money' WHERE username='".$rowp["namep"]."'");

                                    mysql_query("INSERT INTO still_task_del (date, money, autor) VALUES('".time()."', '$t_money', '".$rowp["namep"]."')");
                                  }
								  echo '<div class=good>Задание успешно удалено!';
								  echo '<br /><a href="task.php">Перейти к списку заданий &gt;&gt;</a></div>';
								  include('footer.php');
								  exit();
											}
							}else{
								echo '<div class=error>Ошибка! У Вас нет такого задания!</div>';
								include('footer.php');
								exit();
							}
					}else{
						echo '<div class=error>Ошибка! Задание не определено!</div>';
						include('footer.php');
						exit();
					}
				}else{
					?><script type="text/javascript">location.replace("<?=$_SERVER['PHP_SELF']?>");</script><?
				}

			}
	}else{

require('stat_task.php');?>
<div class='menucenter' style='padding:0px 5px;'>
<table width='100%'>
<tr>
<td width='50%' align='center'><span class='as' style='color:#4F4F4F;padding:4px;width:265px'>При удаление задания списывается процент <b><font color=red><?=$t_proc;?></b></font> %.</span></td>
<td width='50%' align='center'><span class='as' style='color:#4F4F4F;padding:4px;width:265px'>Стоимость поднятия задания: <b><font color=red><?=$m_v["price"];?></font></b> руб.</span></td>
</tr>
</table>
</div>
<?
$sql = mysql_query("SELECT * FROM seelf_task WHERE namep='$username' ORDER BY id ASC");


if(mysql_num_rows($sql)>0)
	{
		while ($row = mysql_fetch_assoc($sql))
		{
			$id = $row["id"];
			$namep = $row["namep"];
			$date = $row["date"]; $date = DATE("d.m.Yг. в H:i",$date);
			$color = $row["color"];
			$title = $row["title"];
			$text = $row["text"];
			$url = $row["url"];
			$pay = $row["pay"];
			$credits = $row["credits"];
                        $good=$row["good"];
                      	$bad=$row["bad"];
                   	$wait=$row["wait"];
	                $balance=$credits*$pay;
	?>
<div class='menucenter' style='padding:0px;margin:0px;margin-top:3px;'>
<div class="namee" style='padding:0px;margin:0px;'>Задание № <?php echo $id;?></div>
<table>
<tr>
<td width='35px' align='left' rowspan='2'><img src='images/sertask.png' alt='' ></td>
<td width='470px'><a href='task.php?id=<?php echo $id;?>'><?php echo $title;?></a>
<br />
<span class='goodd' title='Подтверждено'><b><?php echo $good;?></b></span>
<span class='waitt' title='В ожидании'><b><?php echo $wait;?></b></span>
<span class='badd' title='Отклонено'><b><?php echo $bad;?></b></span>
<span class='balance' title='Баланс задания'>Баланс задания: <b><font color=red><?php echo $balance;?></font></b> руб.</span>
<span class='balance' title='Оплата'>Оплата: <b><font color='red'><?php echo $pay;?></font></b> руб.</span>
</td>
<td align='right'><span class='serftask'><form method="post" action="<?=$_SERVER['PHP_SELF']?>?option=verx"><input type="hidden" value="<?php echo $id;?>" name="id"><input type="image" img src="images/verx.png" style="border:none;" alt="" title="Поднять"></form></span></td>
<td align='right'><span class='serftask'><form method="post" action="<?=$_SERVER['PHP_SELF']?>?option=pay"><input type="hidden" value="<?php echo $id;?>" name="id"><input type="image" img src="images/moneyp.png" style="border:none;" alt="" title="Пополнить баланс"></form></span></td>
<td align='right'><span class='serftask'><form method="post" action="<?=$_SERVER['PHP_SELF']?>?option=edit"><input type="hidden" value="<?php echo $id;?>" name="id"><input type="image" img src="images/red.png" style="border:none;" alt="" title="Редактировать задание"></form></span></td>
<td align='right'><span class='serftaskdel'><form method="post" action="<?=$_SERVER['PHP_SELF']?>?option=delete"><input type="hidden" value="<?php echo $id;?>" name="id"><input type="image" img src="images/delete.png" style="border:none;" alt="" title="Удалить"></form></span></td>
</tr>
</table>
</div><?
		}
	}else{
		echo '<div class=error>У Вас нет заданий!</div>';
		include('footer.php');
		exit();
	}
}

}
include('footer.php');?>